#include <bits/stdc++.h>

using namespace std;

int main()
{
    int x,y;
    cin >> x;
    cin >> y;
    string f = to_string(x);
    string k = to_string(y);
    string novibroj = "";
    if(f.length()<k.length()){
        string p = f;
        f = k;
        k = p;
        int z = x;
        x = y;
        y = z;
    }
    int size = trunc(log10(x))+1;
    int size1 = trunc(log10(y))+1;
    int p = size-size1;
    for(int i = 0;i<size-size1;i++){
        novibroj = novibroj + f[i];
    }
    for(int i = 0;i<size1;i++){
        if((f[p]-'0')>(k[i]-'0')){
            novibroj = novibroj +f[p];
        }else if((f[p]-'0')==(k[i]-'0')){
            novibroj = novibroj + f[p] + k[i];
        }else if((f[p]-'0')<(k[i]-'0')){
                novibroj = novibroj + k[i];
        }
        p+=1;
    }
    
    cout << stoi(novibroj);
    return 0;
}